.navbarParent {
  height: var(--navbarHeight);
  padding: 0 var(--viewPortSideOffset);
  overflow: hidden;
  justify-content: space-between;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  box-shadow:
    var(--primary) 0 5px 0 0,
    var(--primary) 0 -30px 100px -1px;
  z-index: 1000;
  transition: all var(--defaultAnimationTime);
  background-color: var(--background1);
}

.navbarParentTransparent {
  background: transparent;
  box-shadow: none;
}

.navbarParent:hover {
  background-color: var(--background1);
  box-shadow:
  var(--primary) 0 5px 0 0,
  var(--primary) 0 -30px 100px -1px;
}

.navHeaderIcon {
  height: 40px;
  width: 40px;
  aspect-ratio: 1 / 1;
}

.navbarSocialIcon {
  width: 30px;
  height: 30px;
  padding: var(--spacingSmall);
  border-radius: 100%;
  transition: all var(--defaultAnimationTime);
  background-color: var(--background2);
  cursor: pointer;
}

.navbarSocialIcon:hover {
  background-color: var(--background3);
}
